.blog-content:hover .service-social{
    transform: translateY(0);
    opacity:1;
  
}
.blog-content:hover .service-caption{
    transform: translateY(0);
}



.service-social{
 opacity:0;
transition: transform 0.5s ,opacity .5s ease-in-out;
transform: translateY(100%);

}

.service-caption{
    transform: translateY(70%);
  
    transition: transform 0.3s ease-in-out;
}